Subject: Randnum exchange problem on Solaris 8

From: Matthias Waffenschmidt <[email-masked]>
Date: Mon, 11 Feb 2002 17:42:57 +0100

Hello,

I have the following problem using netatalk-1.5.1.1 on Solaris 8
(configuration details are listed below)

When I enable uams_randnum.so, the users cannot log in anymore, using
only uams_clrtxt.so works fine. The login process seems to work (at
least no error message appear), but the connection is closed
immediately after the login data is verified, Here are the interesting
syslog lines:

Feb 11 16:17:41 fileserver afpd[28217]: [ID 847164 daemon.info] ASIP session:548(2) from 192.168.4.141:49153(0)
Feb 11 16:17:41 fileserver afpd[28217]: [ID 822111 daemon.info] randnum/rand2num login: xxx
Feb 11 16:17:41 fileserver afpd[28217]: [ID 711931 daemon.info] 0.08KB read, 0.07KB written
Feb 11 16:17:41 fileserver afpd[28215]: [ID 707133 daemon.info] server_child[1] 28217 done

Compared to a successful login using clear text, a line of the form

Feb 10 01:52:48 fileserver afpd[27952]: [ID 277401 daemon.info] login xxx (uid 1000, gid 102)

is missing. So the problem maybe is, that afpd could not map the user
to a valid uid/gid.

If I enter an invalid username/password combination, afpd complains as
expected:

Feb 11 16:18:08 fileserver afpd[28218]: [ID 847164 daemon.info] ASIP session:548(2) from 192.168.4.141:49154(0)
Feb 11 16:18:08 fileserver afpd[28218]: [ID 822111 daemon.info] randnum/rand2num login: xxx
Feb 11 16:18:08 fileserver afpd[28218]: [ID 445255 daemon.info] invalid password entry for xxx
Feb 11 16:18:08 fileserver afpd[28218]: [ID 711931 daemon.info] 0.07KB read, 0.07KB written
Feb 11 16:18:08 fileserver afpd[28215]: [ID 707133 daemon.info] server_child[1] 28218 done

The loading of the uams modules seems to work:

Feb 11 16:13:41 fileserver afpd[28215]: [ID 235179 daemon.info] fileserver:AFPServer@* started on 65280.64:128 (1.5.1.1)
Feb 11 16:13:41 fileserver afpd[28215]: [ID 950474 daemon.info] ASIP started on 192.168.4.251:548(2) (1.5.1.1)
Feb 11 16:13:41 fileserver afpd[28215]: [ID 142295 daemon.debug] uam: loading (/opt/netatalk/1.5.1.1/etc/netatalk/uams/uams_clrtxt.so)
Feb 11 16:13:41 fileserver afpd[28215]: [ID 398177 daemon.info] uam: uams_clrtxt.so loaded
Feb 11 16:13:41 fileserver afpd[28215]: [ID 142295 daemon.debug] uam: loading (/opt/netatalk/1.5.1.1/etc/netatalk/uams/uams_randnum.so)
Feb 11 16:13:41 fileserver afpd[28215]: [ID 398177 daemon.info] uam: uams_randnum.so loaded
Feb 11 16:13:41 fileserver afpd[28215]: [ID 679841 daemon.info] uam: "2-Way Randnum exchange" available
Feb 11 16:13:41 fileserver afpd[28215]: [ID 679841 daemon.info] uam: "Randnum exchange" available
Feb 11 16:13:41 fileserver afpd[28215]: [ID 679841 daemon.info] uam: "Cleartxt Passwrd" available

Am I missing something, that has to be set up before Randnum exchange
can be used? (the afppasswd file should be set up correctly)

Controlling the syslog file, I encountered 2 messages, that may be
related to the problem. The first one comes up at atalkd startup:

Feb 11 16:13:35 fileserver atalkd[28212]: [ID 430690 daemon.info] setsockopt incompatible w/ Solaris STREAMS module.

The second one appears regularly when atalkd is running:

Feb 11 10:37:31 fileserver ddp: [ID 724967 kern.notice] NOTICE: aarp_rput someone using our address

System Configuration
====================

Server:

- Solaris 8 (version 108528-12)
- netatalk-1.5.1.1
  compiled using gcc 3.0.2 with: ./configure --prefix=/opt/netatalk/1.5.1.1 --with-did=last --with-flock-locks --with-ssl-dir=/opt/openssl/0.9.6c --with-shadow
  kernel modules compiled with native Sun compiler (cc -V: Forte Developer 7 C 5.4 EA2 2001/12/11)
- afpd.conf:
  - -transall -uamlist uams_clrtxt.so,uams_randnum.so -nosavepassword -nocrlf -nouservol

Client:

- MacOS 9.0

Any help or hint is greatly appreciated,

Matthias
-- 
Matthias Waffenschmidt                web³ GmbH
Web Developer                         Seidenstr. 57
                                      70174 Stuttgart
[email-masked]    http://www.webhoch3.de